---
title: Reviews
slug: countdownapi/ebay-product-data-api/parameters/reviews
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Reviews Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Reviews Parameters are applicable when making a request with  `type=reviews`  to retrieve customer Reviews for a single product on Ebay - the product is specified using either the  `epid`  and  `ebay_domain`  parameters or the  `url`  parameter (where the  `url`  parameter contains a link to an Ebay product page). The parameters should be appended as querystring parameters to the Ebay Product Data API `GET` HTTP request.

Reviews are retrieved from the [customer reviews page](https://www.ebay.com/urw/product-reviews/1522036563) for a single product on Ebay.

![](https://apiimages.imgix.net/countdownapi/images/png/docs/reviews.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Customer Reviews Page")

:::hint{type="info"}
**Lookup an EPID by GTIN / ISBN / UPC / EAN**
Countdown API can automatically convert GTIN/ISBN/UPC/EAN codes to EPIDs and return Reviews data for that GTIN. For details of how to lookup Ebay product details by GTIN/ISBN/UPC/EAN please see refer to the [guide](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/gtin-upc-ean-to-epid).
:::

For example, to request customer reviews, sorted by "most recent", for the EPID  `1522036563`  on  `ebay.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=reviews&ebay_domain=ebay.com&epid=1522036563&sort_by=most_recent
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="reviews" \
-d ebay_domain="ebay.com" \ 
-d epid="1522036563" \
-d sort_by="most_recent"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "reviews",
  ebay_domain: "ebay.com",
  epid: "1522036563",
  sort_by: "most_recent"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'reviews',
  'ebay_domain': 'ebay.com',
  'epid': '1522036563',
  'sort_by': 'most_recent'
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'reviews',
  'ebay_domain' => 'ebay.com',
  'epid' => '1522036563',
  'sort_by' => 'most_recent'
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

***

### Reviews Parameters

The following parameters are available for all requests made when  `type=reviews` .

| *`Parameter`*       | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`ebay_domain`*     | *`optional`* | The Ebay domain to retrieve Reviews for the product specified in the `epid` parameter from. For a full list of supported Ebay domains see [Supported Ebay Domains ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/ebay-domains).  <br />**Note** : If the `ebay_domain` and `epid` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                       |
| *`epid`*            | *`optional`* | The Ebay EPID (product ID) to retrieve Reviews for. Used in combination with the `ebay_domain` parameter.  <br />**Note** : If the `epid` and `ebay_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| *`gtin`*            | *`optional`* | A GTIN, ISBN, UPC or EAN code to retrieve results for. Internally Countdown API will first convert the GTIN/ISBN/UPC/EAN to an Ebay EPID, then retrieve the results for that EPID from Ebay. Used in combination with the `ebay_domain` parameter.  <br />**Note** : If the `gtin` and `ebay_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                 |
| *`skip_gtin_cache`* | *`optional`* | By default Countdown API will cache the GTIN-to-EPID mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the `skip_gtin_cache=true` request parameter (note that using `skip_gtin_cache=true` decrements 2 credits from your balance, instead of 1).                                                                                                                                                                                                                                                                                                                                |
| *`url`*             | *`optional`* | The Ebay product-page URL to retrieve Reviews from.  <br />**Note** : If the `url` parameter is supplied then the `ebay_domain` and `epid` parameters are ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| *`condition`*       | *`optional`* | Determines product condition reviews are filtered to. Valid values are:<br />1. `all`<br />2. Returns reviews of products in all conditions.<br /><br />1. `new`<br />2. Returns reviews of new products.<br /><br />1. `refurbished`<br />2. Returns reviews of refurbished products.<br /><br />1. `preowned`<br />2. Returns reviews of pre-owned products.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/reviews_condition.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption}                                                                                                           |
| *`sort_by`*         | *`optional`* | Determines the sort order of reviews to return. <br />Valid values are:<br />1. `most_relevant`<br />2. Returns reviews in order of relevancy to the `search term` .<br /><br />1. `most_recent`<br />2. Returns reviews in date order, with the most recent first.<br /><br />1. `rating_high_to_low`<br />2. Returns reviews ordered by rating, high to low.<br /><br />1. `rating_low_to_high`<br />2. Returns reviews ordered by rating, low to high.<br /><br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/reviews_sort_by.png?auto=format&ixlib=react-9.5.1-beta.1&w=150&dpr=1&q=75" alt caption} |
| *`search_term`*     | *`optional`* | A search term to use to search reviews.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/reviews_search_term.png?auto=format&ixlib=react-9.5.1-beta.1&w=350" alt caption}                                                                                                                                                                                                                                                                                                                                                                                                                                |
| *`page`*            | *`optional`* | The current page of reviews to retrieve. Inspect the `pagination.total_pages` property in the [Reviews results ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/reviews)to see how many pages of reviews are available.                                                                                                                                                                                                                                                                                                                                                                                                  |
| *`max_page`*        | *`optional`* | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                 |

***

**Next Steps**
     [Reviews Results](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/reviews)
